# Uses of Class
org.apache.felix.utils.version.VersionRange

Packages that use VersionRange
Package
Description
org.apache.felix.utils.version

## Uses of VersionRange in org.apache.felix.utils.version

Fields in org.apache.felix.utils.version declared as VersionRange
Modifier and Type
Field
Description
`static final VersionRange`
VersionRange.`ANY_VERSION`
Methods in org.apache.felix.utils.version that return VersionRange
Modifier and Type
Method
Description
`VersionRange`
VersionRange.`intersect(VersionRange r)`
`static VersionRange`
VersionRange.`newInstance(org.osgi.framework.Version pointVersion, int lowerBoundRule, int upperBoundRule)`
`static VersionRange`
VersionRange.`parseVersionRange(String val)`
Methods in org.apache.felix.utils.version with parameters of type VersionRange
Modifier and Type
Method
Description
`VersionRange`
VersionRange.`intersect(VersionRange r)`